Get payment method

Retrieve a single payment method by its ID.

If a method is not available on this profile, a 404 Not Found response is returned. If the method is available but not enabled yet, a status 403 Forbidden is returned. You can enable payments methods via the Enable payment method endpoint of the Profiles API, or via the Mollie Dashboard.

If you do not know the method's ID, you can use the methods list endpoint to retrieve all payment methods that are available.

Additionally, it is possible to check if wallet methods such as Apple Pay are enabled by passing the wallet ID (applepay) as the method ID.

Access with

API key

Organization access token with payments.read

OAuth access with payments.read

Path Params
string | null
required

Provide the ID of the related payment method.

Possible values: alma applepay bacs bancomatpay bancontact banktransfer belfius billie bizum blik creditcard directdebit eps giftcard ideal in3 kbc klarna mbway mobilepay multibanco mybank paybybank paypal paysafecard pointofsale przelewy24 riverty satispay swish trustly twint vipps voucher

Query Params
string

Passing a locale will sort the payment methods in the preferred order for the country, and translate the payment method names in the corresponding language.

string

If provided, the minimumAmount and maximumAmount will be converted to the given currency. An error is returned if the currency is not supported by the payment method.

string

The identifier referring to the profile you wish to retrieve the resources for.

Most API credentials are linked to a single profile. In these cases the profileId must not be sent. For organization-level credentials such as OAuth access tokens however, the profileId parameter is required.

string | null
enum

This endpoint allows you to include additional information via the include query string parameter.

Show Details
issuersInclude issuer details such as which iDEAL or gift card issuers are available.
Allowed:
string

Set this parameter to first to only return the methods that can be used for the first payment of a recurring sequence.

Set it to recurring to only return methods that can be used for recurring payments or subscriptions.

Possible values: oneoff first recurring

boolean

Most API credentials are specifically created for either live mode or test mode. In those cases the testmode query parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting the testmode query parameter to true.

Test entities cannot be retrieved when the endpoint is set to live mode, and vice versa.

Responses

Language
Credentials
Request
Response
Choose an example:
application/hal+json